{% extends 'base.html' %}

{% block title %}Registration Form{% endblock %}

{% block content %}
<h1 class="text-center my-3">Registration Form</h1>
<div class="container">
    <div class="row">
        <div class="col-6 offset-3">
			{% if error == True %}
			<p class = "text-danger">Password didn't match</p>
			{% endif %}
			{% if error1 == True %}
			<p class = "text-danger">Username already taken</p>
			{% endif %}
			{% if error2 == True %}
			<p class = "text-danger">Email already taken</p>
			{% endif %}
            <form action="{% url 'todolist:register' %}" method="POST">
                {% csrf_token %}
                <div class="mb-3">
                    <label for="username" class="form-label">Username:</label>
                    <input type="text" class="form-control" id="username" name="username" value="{{ username }}" maxlength="20" required>
                </div>
                <div class="mb-3">
                    <label for="firstname" class="form-label">First Name:</label>
                    <input type="text" class="form-control" id="firstname" name="firstname" value="{{ firstname }}" maxlength="50" required>
                </div>
                <div class="mb-3">
                    <label for="lastname" class="form-label">Last Name:</label>
                    <input type="text" class="form-control" id="lastname" name="lastname" value="{{ lastname }}" maxlength="50" required>
                </div>
                <div class="mb-3">
                    <label for="email" class="form-label">Email:</label>
                    <input type="email" class="form-control" id="email" name="email" value="{{ email }}" maxlength="50" required>
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label">Password:</label>
                    <input type="password" class="form-control" id="password" name="password" maxlength="50" required>
                </div>
                <div class="mb-3">
                    <label for="confirmPassword" class="form-label">Confirm Password:</label>
                    <input type="password" class="form-control" id="confirmPassword" name="confirmPassword" maxlength="50" required>
                </div>
                <button type="submit" class="col-4 offset-lg-4 btn btn-success">Register</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
